package com.mvc.dao;

import com.mvc.entity.TDynamicrouteMeta;
import com.mvc.entity.TDynamicrouteMetaExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TDynamicrouteMetaMapper {
    long countByExample(TDynamicrouteMetaExample example);

    int deleteByExample(TDynamicrouteMetaExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TDynamicrouteMeta record);

    int insertSelective(TDynamicrouteMeta record);

    List<TDynamicrouteMeta> selectByExample(TDynamicrouteMetaExample example);

    TDynamicrouteMeta selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TDynamicrouteMeta record, @Param("example") TDynamicrouteMetaExample example);

    int updateByExample(@Param("record") TDynamicrouteMeta record, @Param("example") TDynamicrouteMetaExample example);

    int updateByPrimaryKeySelective(TDynamicrouteMeta record);

    int updateByPrimaryKey(TDynamicrouteMeta record);
}